Debian Bug report logs - #467930
libxml-dt-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone

version graph

Package: libxml-dt-perl; Maintainer for libxml-dt-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libxml-dt-perl is src:libxml-dt-perl.

Reported by: Niko Tyni <ntyni@debian.org>

Date: Tue, 26 Feb 2008 19:26:18 UTC

Severity: important

Tags: patch

Found in version libxml-dt-perl/0.3-1

Fixed in version libxml-dt-perl/0.3-1.1

Done: Mark Hymers <mhy@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Itamar Almeida de Carvalho <itamar@oktiva.com.br>:
Bug#467930; Package libxml-dt-perl. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. Copy sent to Itamar Almeida de Carvalho <itamar@oktiva.com.br>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: maintonly@bugs.debian.org
Subject: libxml-dt-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone
Date: Tue, 26 Feb 2008 21:10:28 +0200
Package: libxml-dt-perl
Version: 0.3-1
Severity: important
User: debian-perl@lists.debian.org
Usertags: perl-5.10-ftbfs-rmdir

This package fails to build with Perl 5.10.0 (currently in
experimental) because of a bug in debian/rules that has been
uncovered by a change in ExtUtils::Install.

Until Perl 5.10.0, ExtUtils::Install had a bug that created an empty
/usr/lib/perl5 or /usr/share/perl5 directory when 'make install' was
run. This package fails to build because it relies on the presence of
this empty directory, usually by trying to remove it without checking
if it exists first.

The suggested fix for the usual 'unconditional rmdir' case is to use
a conditional like

[ ! -d $(TMP)/usr/lib/perl5 ] || rmdir --ignore-fail-on-non-empty
--parents --verbose $(TMP)/usr/lib/perl5

See the current dh-make-perl templates.

Please treat this bug as 'serious' already: Perl 5.10.0 is scheduled
for unstable in a week or so.

Details about the ExtUtils::Install change can be found in #465783. 
-- 
Niko Tyni   ntyni@debian.org





Reply sent to Mark Hymers <mhy@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 467930-close@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 467930-close@bugs.debian.org
Subject: Bug#467930: fixed in libxml-dt-perl 0.3-1.1
Date: Sat, 05 Apr 2008 21:47:20 +0000
Source: libxml-dt-perl
Source-Version: 0.3-1.1

We believe that the bug you reported is fixed in the latest version of
libxml-dt-perl, which is due to be installed in the Debian FTP archive:

libxml-dt-perl_0.3-1.1.diff.gz
  to pool/main/libx/libxml-dt-perl/libxml-dt-perl_0.3-1.1.diff.gz
libxml-dt-perl_0.3-1.1.dsc
  to pool/main/libx/libxml-dt-perl/libxml-dt-perl_0.3-1.1.dsc
libxml-dt-perl_0.3-1.1_all.deb
  to pool/main/libx/libxml-dt-perl/libxml-dt-perl_0.3-1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 467930@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mark Hymers <mhy@debian.org> (supplier of updated libxml-dt-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 05 Apr 2008 21:09:14 +0100
Source: libxml-dt-perl
Binary: libxml-dt-perl
Architecture: source all
Version: 0.3-1.1
Distribution: unstable
Urgency: low
Maintainer: Itamar Almeida de Carvalho <itamar@oktiva.com.br>
Changed-By: Mark Hymers <mhy@debian.org>
Description: 
 libxml-dt-perl - Down translation of XML files
Closes: 467930
Changes: 
 libxml-dt-perl (0.3-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix FTBFS with Perl 5.10.  Closes: #467930
Files: 
 9c2b32b2b3b0740c557e582b8fb144c8 627 perl optional libxml-dt-perl_0.3-1.1.dsc
 cf93281c93112c433aa16880961a42ec 3421 perl optional libxml-dt-perl_0.3-1.1.diff.gz
 fd50d84d7065ead8c77e4fba837046ab 36596 perl optional libxml-dt-perl_0.3-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH9+L2NIW6CNDsByMRAkfvAJwKL6gV2UX1GRg3ck6EdNR25XRKMQCgj6fa
RzlP2yLN0aQ+cyuTgPmMyxo=
=mZYC
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Itamar Almeida de Carvalho <itamar@oktiva.com.br>:
Bug#467930; Package libxml-dt-perl. Full text and rfc822 format available.

Acknowledgement sent to Mark Hymers <mhy@debian.org>:
Extra info received and forwarded to list. Copy sent to Itamar Almeida de Carvalho <itamar@oktiva.com.br>. Full text and rfc822 format available.

Message #15 received at 467930@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 467930@bugs.debian.org
Subject: libxml-dt-perl: diff for NMU version 0.3-1.1
Date: Sat, 5 Apr 2008 22:37:01 +0100
[Message part 1 (text/plain, inline)]
tags 467930 + patch
thanks

Hi,

Attached is the diff for my libxml-dt-perl 0.3-1.1 NMU.

-- 
Mark Hymers <mhy at debian dot org>
[libxml-dt-perl-0.3-1.1-nmu.diff (text/x-diff, attachment)]

Tags added: patch Request was from Mark Hymers <mhy@debian.org> to control@bugs.debian.org. (Sat, 05 Apr 2008 22:00:24 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 May 2008 07:38:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 21:40:48 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.